org.apache.hc.client5.http.entity.mime

## Interface ContentDescriptor

- All Known Subinterfaces:
    ContentBody
  All Known Implementing Classes:
    AbstractContentBody, ByteArrayBody, FileBody, InputStreamBody, StringBody

      public interface ContentDescriptor

  Represents common content properties.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCharset()` The body descriptors character set, defaulted appropriately for the MIME type.
    `long` | `getContentLength()` Returns the body descriptors content-length.
    `String` | `getMediaType()` Gets the defaulted MIME media type for this content.
    `String` | `getMimeType()` Returns the body descriptors MIME type.
    `String` | `getSubType()` Gets the defaulted MIME sub type for this content.

- - ### Method Detail

    - #### getMimeType

          String getMimeType()

      Returns the body descriptors MIME type.
      Returns:
        The MIME type, which has been parsed from the content-type definition. Must not be null, but "text/plain", if no content-type was specified.
      See Also:
        `getMediaType()`, `getSubType()`

    - #### getMediaType

          String getMediaType()

      Gets the defaulted MIME media type for this content. For example `TEXT`, `IMAGE`, `MULTIPART`
      Returns:
        the MIME media type when content-type specified, otherwise the correct default (`TEXT`)
      See Also:
        `getMimeType()`

    - #### getSubType

          String getSubType()

      Gets the defaulted MIME sub type for this content.
      Returns:
        the MIME media type when content-type is specified, otherwise the correct default (`PLAIN`)
      See Also:
        `getMimeType()`

    - #### getCharset

          String getCharset()

      The body descriptors character set, defaulted appropriately for the MIME type.

      For `TEXT` types, this will be defaulted to `us-ascii`. For other types, when the charset parameter is missing this property will be null.

      Returns:
        Character set, which has been parsed from the content-type definition. Not null for `TEXT` types, when unset will be set to default `us-ascii`. For other types, when unset, null will be returned.

    - #### getContentLength

          long getContentLength()

      Returns the body descriptors content-length.
      Returns:
        Content length, if known, or -1, to indicate the absence of a content-length header.

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.